cascading.flow.planner.rule

## Class RuleTransformer

- java.lang.Object
- - cascading.flow.planner.iso.transformer.GraphTransformer<ElementGraph,ElementGraph>
  - - cascading.flow.planner.rule.RuleTransformer

- All Implemented Interfaces:
    Rule
  Direct Known Subclasses:
    RuleAnnotationTransformer, RuleContractedTransformer, RuleInsertionTransformer, RuleRemoveBranchTransformer, RuleReplaceTransformer

      public class RuleTransformer
      extends GraphTransformer<ElementGraph,ElementGraph>
      implements Rule

  The RuleTransformer class is responsible for transforming an element graph into a new graph.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ContractedTransformer` | `contractedTransformer`
    `protected RecursiveGraphTransformer<ElementGraph>` | `graphTransformer`
    `protected RuleExpression` | `ruleExpression`
    `protected SubGraphTransformer` | `subGraphTransformer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuleTransformer(PlanPhase phase, RuleExpression ruleExpression)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getRuleName()`
    `PlanPhase` | `getRulePhase()`
    `String` | `toString()`
    `Transformed<ElementGraph>` | `transform(PlannerContext plannerContext, ElementGraph rootGraph)`

    - ### Methods inherited from class cascading.flow.planner.iso.transformer.GraphTransformer

      `transform`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ruleExpression

          protected final RuleExpression ruleExpression

    - #### contractedTransformer

          protected final ContractedTransformer contractedTransformer

    - #### subGraphTransformer

          protected final SubGraphTransformer subGraphTransformer

    - #### graphTransformer

          protected RecursiveGraphTransformer<ElementGraph> graphTransformer

  - ### Constructor Detail

    - #### RuleTransformer

          public RuleTransformer(PlanPhase phase,
                         RuleExpression ruleExpression)

  - ### Method Detail

    - #### getRulePhase

          public PlanPhase getRulePhase()

      Specified by:
        `getRulePhase` in interface `Rule`

    - #### getRuleName

          public String getRuleName()

      Specified by:
        `getRuleName` in interface `Rule`

    - #### transform

          public Transformed<ElementGraph> transform(PlannerContext plannerContext,
                                            ElementGraph rootGraph)

      Specified by:
        `transform` in class `GraphTransformer<ElementGraph,ElementGraph>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.